Bug 510086 - Elantech touchpad on Compal FL90 recognized as Logitech mouse
Elantech touchpad on Compal FL90 recognized as Logitech mouse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 12:31 EDT by Paul Paukstelis
Modified: 2009-12-18 04:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:37:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /proc/bus/input/devices output (2.38 KB, text/plain)
2009-07-07 12:31 EDT, Paul Paukstelis
no flags Details
dmesg after changing kernel boot options (38.16 KB, text/plain)
2009-08-24 09:22 EDT, Paul Paukstelis
no flags Details

  None (edit)
Description Paul Paukstelis 2009-07-07 12:31:42 EDT
Created attachment 350831 [details]
cat /proc/bus/input/devices output

Description of problem:
Kernel does not recognize Elantech touchpad.

Version-Release number of selected component (if applicable):
This has been true with all kernel releases since Fedora 9, up to at least 2.6.29.4-75

How reproducible:
Very

Steps to Reproduce:
1. Install a Fedora release on Compal FL90
2. check dmesg
3. cat /proc/bus/input/devices
  
Actual results:
Elantech touchpad recognized as ImPS/2 Logitech Wheel Mouse


Expected results:
Anticipate recognition of Elantech touchpad and use synpatic driver.

Additional info:

According to various sources (http://arjan.opmeer.net/elantech/) the driver should be included in 2.6.28 kernel, but neither 2.6.28 or 2.6.29 identifies this touchpad correctly. 

Similar errors have been reported for other distros:

https://bugs.launchpad.net/linux/+bug/123775
Comment 1 Chuck Ebbert 2009-08-22 05:55:11 EDT
Can you try adding "i8042.noloop=1" to the kernel boot options?
Comment 2 Paul Paukstelis 2009-08-24 09:22:45 EDT
Created attachment 358458 [details]
dmesg after changing kernel boot options
Comment 3 Paul Paukstelis 2009-08-24 09:23:31 EDT
no change after adding option. attached dmesg, still detected as Logitech.
Comment 4 Bug Zapper 2009-11-18 07:09:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:37:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.